# Expected Payments

This object represents the expected loan payments on due dates. Expected payments are what we expect to
receive from a borrower on a specific date. Expected payments are created as a result of loan amortization.
The amounts and due dates can change during lifetime of a loan. For example, a borrower might change due dates
frequency from `monthly` to `weekly` and it will lower periodic payment amount.

 - [POST /people/{personId}/loans/{loanId}/defer-due-date](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_due_date_defer.md): Defer single due date takes the amount in a selected due date and defers the amount to another due date in the future. The deferral amount can be moved to an existing due date or alternatively, to a n
 - [POST /people/{personId}/loans/{loanId}/defer-schedule](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_schedule_defer.md): Defer schedule allows lenders to shift the entire expected payments schedule. There are two use cases: Defer during the first period of the loan. In this scenario we "extend" the first period by the r
 - [GET /people/{personId}/loans/{loanId}/draws/{drawId}/expected-payments](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.draw_expected_payments_get.md)
 - [POST /people/{personId}/loans/{loanId}/draws/{drawId}/expected-payments/defer-remaining-balances](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.defer_remaining_draw_balances.md): Defer draw single or multiple due dates. The selected due dates to defer can only be due dates for which the statement was already generated. Past due dates should always have statements. Upcoming due
 - [GET /people/{personId}/loans/{loanId}/expected-payments](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_expected_payments_get.md)
 - [POST /people/{personId}/loans/{loanId}/expected-payments](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_change_due_dates_schedule_post.md): Change due date allows the customer to change the frequency of a loan and/or the specific day(s) that due dates will fall on. This is not supported for loans with `periodCalculationType=statementDate`
 - [POST /people/{personId}/loans/{loanId}/expected-payments/defer-remaining-balances](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.defer_remaining_loc_balances.md): Defer line of credit single or multiple due dates. The system will defer amounts across the line of credit and all draws. The selected due dates to defer can only be due dates for which the statement
 - [POST /people/{personId}/loans/{loanId}/payment-plan](https://docs.peachfinance.com/api-docs/api-public/expected-payments/peach.people.loans.expected_payments.handlers.loan_change_terms.md): Change loan terms creates a customer payment plan for the borrower. There are several options: The first option is passing in `duration`, which we use to calculate the new recurring amount going forwa
